# $Revision: 1.7 $, $Date: 2006/05/14 18:53:44 $
%define		mod_name	macro
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module to allow macros in apache config files
Summary(pl):	Modu do apache pozwalajcy uywa makr w konfiguracji
Name:		apache-mod_%{mod_name}
Version:	1.1.7
Release:	1
License:	Apache
Group:		Networking/Daemons
Source0:	http://www.cri.ensmp.fr/~coelho/mod_macro/mod_%{mod_name}-%{version}.tar.bz2
# Source0-md5:	4ca541f869654db0cdac1d2ec2853a04
URL:		http://www.cri.ensmp.fr/~coelho/mod_macro/
BuildRequires:	apache-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module to allow macros in apache config files.

%description -l pl
Modu do apache pozwalajcy uywa makr w plikach konfiguracyjnych.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_macro.spec,v $
Revision 1.7  2006/05/14 18:53:44  zbyniu
- up to 1.1.7

Revision 1.6  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.5  2006/01/30 17:39:10  glen
- use %service

Revision 1.4  2006/01/30 15:07:10  zbyniu
- missing dir in install; rel 1

Revision 1.3  2005/12/27 00:09:49  glen
- use apache_modules_api

Revision 1.2  2005/12/27 00:09:21  glen
- unified

Revision 1.1  2005/10/27 22:06:28  zbyniu
- new
